Package com.ocient.jdbc.proto

## Interface PlanProtocol.StatsTableInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.StatsTableInfo`, `PlanProtocol.StatsTableInfo.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.StatsTableInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.StatsColInfo` `getColumns​(int index)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`int` `getColumnsCount()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`List<PlanProtocol.StatsColInfo>` `getColumnsList()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`PlanProtocol.StatsColInfoOrBuilder` `getColumnsOrBuilder​(int index)` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`List<? extends PlanProtocol.StatsColInfoOrBuilder>` `getColumnsOrBuilderList()` `repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`
`String` `getStorageSpaceUuid()` `string storage_space_uuid = 2;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidBytes()` `string storage_space_uuid = 2;`
`String` `getTableUuid()` `string table_uuid = 1;`
`com.google.protobuf.ByteString` `getTableUuidBytes()` `string table_uuid = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getTableUuid

    String getTableUuid()

`string table_uuid = 1;`

Returns:
  The tableUuid.

#### getTableUuidBytes

    com.google.protobuf.ByteString getTableUuidBytes()

`string table_uuid = 1;`

Returns:
  The bytes for tableUuid.

#### getStorageSpaceUuid

    String getStorageSpaceUuid()

`string storage_space_uuid = 2;`

Returns:
  The storageSpaceUuid.

#### getStorageSpaceUuidBytes

    com.google.protobuf.ByteString getStorageSpaceUuidBytes()

`string storage_space_uuid = 2;`

Returns:
  The bytes for storageSpaceUuid.

#### getColumnsList

    List<PlanProtocol.StatsColInfo> getColumnsList()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### getColumns

    PlanProtocol.StatsColInfo getColumns​(int index)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### getColumnsCount

    int getColumnsCount()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### getColumnsOrBuilderList

    List<? extends PlanProtocol.StatsColInfoOrBuilder> getColumnsOrBuilderList()

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`

#### getColumnsOrBuilder

    PlanProtocol.StatsColInfoOrBuilder getColumnsOrBuilder​(int index)

`repeated .xg.db.sqlPlans.StatsColInfo columns = 3;`